
#ifndef  __RAW_KEYBOARD_H__
#define  __RAW_KEYBOARD_H__

/*
	Raw & non block keyboard access
	Copyright (C) 2002  Avelino Herrera Morales

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <termios.h>


#define  KEY_F1      0x415B5B1B
#define  KEY_F2      0x425B5B1B
#define  KEY_F3      0x435B5B1B
#define  KEY_F4      0x445B5B1B
#define  KEY_F5      0x455B5B1B
#define  KEY_UP      0x415B1B
#define  KEY_DOWN    0x425B1B
#define  KEY_RIGHT   0x435B1B
#define  KEY_LEFT    0x445B1B
#define  KEY_INSERT  0x7E325B1B
#define  KEY_DEL     0x7E335B1B
#define  KEY_HOME    0x7E315B1B
#define  KEY_END     0x7E345B1B
#define  KEY_PGUP    0x7E355B1B
#define  KEY_PGDOWN  0x7E365B1B
#define  KEY_PAUSE   0x505B1B
#define  KEY_SYS     0x1C
#define  KEY_CTRLC   0x03
#define  KEY_ESC     0x1B


void raw_keyboard_done(struct termios *old_state);
void raw_keyboard_init(struct termios *old_state);
long int raw_keyboard_read(void);


#endif  /* __RAW_KEYBOARD_H__  */
