
#ifndef  __VT_H__
#define  __VT_H__

/*
	VT100 terminal functions
	Copyright (C) 2002  Avelino Herrera Morales

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define  VT_ATTRIB_NORMAL         0
#define  VT_ATTRIB_BOLD           1
#define  VT_ATTRIB_UNDERSCORE     4
#define  VT_ATTRIB_BLINK          5
#define  VT_ATTRIB_REVERSE        7
#define  VT_ATTRIB_CONCEALED      8
#define  VT_ATTRIB_FORE_BLACK    30
#define  VT_ATTRIB_FORE_RED      31
#define  VT_ATTRIB_FORE_GREEN    32
#define  VT_ATTRIB_FORE_YELLOW   33
#define  VT_ATTRIB_FORE_BLUE     34
#define  VT_ATTRIB_FORE_MAGENTA  35
#define  VT_ATTRIB_FORE_CYAN     36
#define  VT_ATTRIB_FORE_WHITE    37
#define  VT_ATTRIB_BACK_BLACK    40
#define  VT_ATTRIB_BACK_RED      41
#define  VT_ATTRIB_BACK_GREEN    42
#define  VT_ATTRIB_BACK_YELLOW   43
#define  VT_ATTRIB_BACK_BLUE     44
#define  VT_ATTRIB_BACK_MAGENTA  45
#define  VT_ATTRIB_BACK_CYAN     46
#define  VT_ATTRIB_BACK_WHITE    47


/*  goto cursor to (x, y), topleft is (1, 1)  */
void vt_gotoxy(int x, int y);

/*  get cursor position  */
void vt_getxy(int *x, int *y);

/*  get max values for cursor x and y  */
void vt_getsize(int *maxx, int *maxy);

/*  clear screen  */
void vt_clrscr(void);

/*  clear from cursor to end of line  */
void vt_clreol(void);

/*  to enable attributes (VT_ATTRIB_XXXX). use VT_ATTRIB_NORMAL to disable  */
void vt_attrib(int attrib);

/*  save cursor and attrib status  */
void vt_save_cursor_attrib(void);

/*  restore cursor and attrib status  */
void vt_restore_cursor_attrib(void);

/*  reset terminal  */
void vt_reset(void);

/*  enable scrollable window from start_line to end_line. To scroll text
    print a '\n' terminated string at end_line. */
void vt_set_scrollable_window(int start_line, int end_line);

/*  disable scrollable window  */
void vt_unset_scrollable_window();

#endif  /* __VT_H__ */
